classes:
- service.git.client
- service.memcached.server.local
- service.postgresql.server.local
- service.python.environment
- service.sentry.server.single
- service.supervisor.server.single
- service.nginx.server.single
parameters:
  _param:
    sentry_secret_key: secret
    postgresql_sentry_password: password
    nginx_sentry_server_host: ${linux:network:fqdn}
  postgresql:
    server:
      database:
        sentry:
          enabled: true
          encoding: 'UTF8'
          locale: 'cs_CZ'
          users:
          - name: sentry
            password: ${_param:postgresql_sentry_password}
            host: localhost
            rights: all privileges
  supervisor:
    server:
      service:
        sentry_web:
          name: web
          type: sentry
        sentry_worker:
          name: worker
          type: sentry
  nginx:
    server:
      site:
        sentry_server:
          enabled: true
          type: sentry
          name: sentry_web
          host:
            name: ${_param:nginx_sentry_server_host}
